<?php
require_once("parts/header.php");

?>

	<div id="app-buttons">
		<div id="app-navigation-buttons">
			<a href="home.php"><?php echo __('menu_home'); ?></a>
			<a href="product.php"><?php echo __('menu_product'); ?></a>
			<a href="sales.php"><?php echo __('menu_sales'); ?></a>
			<a href="prizes.php"><?php echo __('menu_prizes'); ?></a>
			<a href="faq.php" class="app-navigation-button-active"><?php echo __('menu_faq'); ?></a>
			<a href="terms.php"><?php echo __('menu_terms'); ?></a>
			<a href="signature.php"><?php echo __('menu_signature'); ?></a>
			<a href="tools.php"><?php echo __('menu_promo'); ?></a>
			<a href="footer.php"><?php echo __('menu_footer'); ?></a>
		</div>
		<div id="app-save-button">
			<div id="save-button"><?php echo __('save_changes_button'); ?></div>
		</div>
	</div>  

<?php
	$pageEnabled = ($settings['faq']['enabled']==1)?'checked':'';
?>

	<div id="section-enabled">
		<div id="section-enabled-text"><input id="section-enabled-checkbox" type="checkbox" <?php echo $pageEnabled; ?>/><label for="section-enabled-checkbox"><?php echo __('enable_section_label'); ?></label></div>
	</div>

	<div id="faq-section" class="clsWrapper">

		<div class="clsBg_black" style="background-color:<?php echo $settings['faq']['heading-color'] ?>">
			<div class="clsPadding_md">
				<div class="container">
					<div class="row">
						<div class="col-md-12">
							<div class="clsSp_txt_wh_center">
								<h2 id="faq-heading" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['faq']['heading']; ?></h2>
								<div class="colors-option with-tooltip" title="<?php echo __('click_change_background_color') ?>">
									<input type="text" class="color-picker" value="<?php echo $settings['faq']['heading-color'] ?>"/>
								</div>								
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<div class="clsBg1" style="border-top:1px solid #dbdbdb; background-image: url('../images/background/<?php echo $settings['faq']['background-image'];?>')" data-image="<?php echo $settings['faq']['background-image'];?>">
			<div class="clsPadding_lg">
				<div class="container">
					<div id="faq-change-background" class="clsSp_txt_wh_center config-button faq-background-image with-tooltip" title="<?php echo __('change_background_image_tooltip'); ?>" data-background-image="<?php echo $settings['faq']['background-image']; ?>"><i class="fa fa-picture-o"></i></div>
					<div class="row">						
						<div class="col-md-1"></div>
						<div class="col-md-10">
							<div class="row">
								<div class="col-md-6">
								<?php 
									for($i=0; $i<=2; $i++) : 
										$questionEnabled = ($settings['faq']['questions'][$i]['enabled'])?'fa-check':'fa-times';
								?>
									<div class="clsSp_txt_bl_lft" style="position: relative;">
										<div class="question-enabled config-button toggle-visibility-button with-tooltip" data-enabled="<?php echo $settings['faq']['questions'][$i]['enabled']; ?>" title="<?php echo __('click_change_visibility_tooltip'); ?>"><i class="fa <?php echo $questionEnabled; ?>"></i></div>
										<h3><span class="icon-container with-tooltip" title="<?php echo __('click_change_icon'); ?>"><img src="../images/icons/<?php echo $settings['faq']['icon']; ?>"/></span><span class="faq-question with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['faq']['questions'][$i]['question'] ?></span></h3>
										<p style="padding-top:20px;" class="faq-answer with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['faq']['questions'][$i]['answer'] ?></p>
									</div>
								<?php 
									if($i!=2) { echo "<hr/>"; };
									endfor; 
								?>
								</div>
								<div class="col-md-6">
								<?php 
									for($i=3; $i<=5; $i++) : 
										$questionEnabled = ($settings['faq']['questions'][$i]['enabled'])?'fa-check':'fa-times';

								?>
									<div class="clsSp_txt_bl_lft" style="position: relative;">
										<h3><span class="icon-container with-tooltip" title="<?php echo __('click_change_icon'); ?>"><img src="../images/icons/<?php echo $settings['faq']['icon']; ?>"/></span><span class="faq-question with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['faq']['questions'][$i]['question'] ?></span></h3>
										<p style="padding-top:20px;" class="faq-answer with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['faq']['questions'][$i]['answer'] ?></p>
										<div class="question-enabled config-button toggle-visibility-button with-tooltip" data-enabled="<?php echo $settings['faq']['questions'][$i]['enabled']; ?>" title="<?php echo __('click_change_visibility_tooltip'); ?>"><i class="fa <?php echo $questionEnabled; ?>"></i></div>
									</div>
								<?php 
									if($i!=5) { echo "<hr/>"; };
									endfor; 
								?>
								</div>
							</div>
						</div>
						<div class="col-md-1"></div>
					</div>
					
				</div>
			</div>
		</div>
	</div> <!--clsWrapper-->

<?php
require_once('parts/footer.php');
?>	

<script type="text/javascript">
	$(document).ready(function() {
		$('#faq-change-background').click( function() {
			ShowLightbox('background', '.clsBg1');
		})

		$('.icon-container img').click( function() {
			ShowLightbox('icons', '.icon-container img');
		});

		$('.color-picker').spectrum({
			preferredFormat: "hex",
			showInput: true,
			change: function(color) {
				$(this).parent().parent().parent().parent().parent().parent().parent().css('background-color', color.toHexString());
				console.log(color.toHexString());
				saveButtonToggle();
			}
		});		
	})

	function saveButtonToggle() {
		var saveChanges = 0;

		if(tempSettings['faq']['background-image'] != settings['faq']['background-image']) {
			saveChanges = 1;
		}

		if(tempSettings['faq']['icon'] != settings['faq']['icon']) {
			saveChanges = 1;
		}

		var pageEnabled = parseInt($('#section-enabled-checkbox').is(':checked')?1:0);
		if(settings['faq']['enabled'] != pageEnabled) {
			tempSettings['faq']['enabled'] = pageEnabled;
			saveChanges = 1;
		} else {
			tempSettings['faq']['enabled'] = settings['faq']['enabled'];
		}


		var heading = $('#faq-heading').html();
		if(heading != settings['faq']['heading']) {
			saveChanges = 1;
			tempSettings['faq']['heading'] = heading;
		}

		var color = $('.clsBg_black').css('background-color');
		console.log(color);
		if(color != settings['faq']['heading-color']) {
			saveChanges = 1;
			tempSettings['faq']['heading-color'] = color;
		}

		for(i=0; i<=5; i++) {
			var faq_question, faq_answer;
			faq_question = $('.faq-question').eq(i).html();	
			if(faq_question != settings['faq']['questions'][i]['question']) {
				saveChanges = 1;
				tempSettings['faq']['questions'][i]['question'] = faq_question;
			}

			faq_answer = $('.faq-answer').eq(i).html();	
			if(faq_answer != settings['faq']['questions'][i]['answer']) {
				saveChanges = 1;
				tempSettings['faq']['questions'][i]['answer'] = faq_answer;
			}

			question_enabled = $('.question-enabled').eq(i).attr('data-enabled');	
			if(question_enabled != settings['faq']['questions'][i]['enabled']) {
				saveChanges = 1;
				tempSettings['faq']['questions'][i]['enabled'] = question_enabled;
			}
		}

		if(saveChanges == 1) {
			$('#app-save-button').fadeIn('slow');
		}
		else {
			$('#app-save-button').fadeOut('slow');
		}	

	}

	// Upload Images - Callback once the image got uploaded
	$(document).ajaxComplete(function() {
		
		str = $('.clsBg1').attr('data-image');
		var background = str.split('/');
		tempSettings['faq']['background-image'] = background[(background.length)-1];

		str = $(".icon-container").find('img').attr('src');
		var icon = str.split('/');
		tempSettings['faq']['icon'] = icon[(icon.length)-1];

		saveButtonToggle();
	});	

</script>						