<?php
require_once("parts/header.php");

?>

	<div id="app-buttons">
		<div id="app-navigation-buttons">
			<a href="home.php"><?php echo __('menu_home'); ?></a>
			<a href="product.php"><?php echo __('menu_product'); ?></a>
			<a href="sales.php"><?php echo __('menu_sales'); ?></a>
			<a href="prizes.php"><?php echo __('menu_prizes'); ?></a>
			<a href="faq.php"><?php echo __('menu_faq'); ?></a>
			<a href="terms.php"><?php echo __('menu_terms'); ?></a>
			<a href="signature.php"><?php echo __('menu_signature'); ?></a>
			<a href="tools.php"><?php echo __('menu_promo'); ?></a>
			<a href="footer.php" class="app-navigation-button-active"><?php echo __('menu_footer'); ?></a>
		</div>
		<div id="app-save-button">
			<div id="save-button"><?php echo __('save_changes_button'); ?></div>
		</div>
	</div>  

<?php
	$pageEnabled = ($settings['footer']['enabled']==1)?'checked':'';
?>

	<div id="section-enabled">
		<div id="section-enabled-text"><input id="section-enabled-checkbox" type="checkbox" <?php echo $pageEnabled; ?>/><label for="section-enabled-checkbox"><?php echo __('enable_section_label'); ?></label></div>
	</div>

	<div id="footer-section" class="clsWrapper">
		<div class="enable-custom-html clsSp_txt_bl_lft"><input id="footer-enable-custom" type="checkbox" <?php echo ($settings['footer']['enable-custom'] == 1) ? 'checked' : ''  ?>><span style="display: inline-block"><p>Check to disregard the existing layout and add your own CUSTOM HTML for this section.<br/>Uncheck to revert the preset layout.</p></span></div>
		<div class="preset-layout clsBg_black" style="background-color:<?php echo $settings['footer']['heading-color'] ?>; display: <?php echo ($settings['footer']['enable-custom'] == 1) ? 'none' : 'block'  ?>">
			<div class="clsPadding_md">
				<div class="container">
					<div class="row">
						<div class="col-md-12">
							<div id="copyright" class="clsSp_txt_wh_center with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['footer']['copyright'] ?></div>
							<div class="colors-option with-tooltip" title="<?php echo __('click_change_background_color') ?>">
								<input type="text" class="color-picker" value="<?php echo $settings['footer']['heading-color'] ?>"/>
							</div>							
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="custom-html" style="display: <?php echo ($settings['footer']['enable-custom'] == 1) ? 'block' : 'none'  ?>">
			<textarea id="footer-custom-content" placeholder="<?php echo __('custom_html_placeholder') ?>"><?php echo $settings['footer']['custom-html'] ?></textarea>
		</div>		
	</div> <!--clsWrapper-->
	<div class="footer-custom"><textarea id="footer-custom" placeholder="<?php echo __('custom_footer_placeholder') ?>"><?php echo $settings['footer']['footer-custom'] ?></textarea></div>

<?php
require_once('parts/footer.php');
?>	

<script type="text/javascript">

	$(document).ready(function() {
		$('.color-picker').spectrum({
			preferredFormat: "hex",
			showInput: true,
			change: function(color) {
				$(this).parent().parent().parent().parent().parent().parent().css('background-color', color.toHexString());
				saveButtonToggle();
			}
		});
	});

	function saveButtonToggle() {
		var saveChanges = 0;

		var pageEnabled = parseInt($('#section-enabled-checkbox').is(':checked')?1:0);
		if(settings['footer']['enabled'] != pageEnabled) {
			tempSettings['footer']['enabled'] = pageEnabled;
			saveChanges = 1;
		} else {
			tempSettings['footer']['enabled'] = settings['footer']['enabled'];
		}

		var custom = parseInt($('#footer-enable-custom').is(':checked')?1:0);
		if(custom != settings['footer']['enable-custom']) {
			saveChanges = 1;
			tempSettings['footer']['enable-custom'] = custom;
		}

		var text = $('#footer-custom-content').val();
		if(text != settings['footer']['custom-html']) {
			saveChanges = 1;
			tempSettings['footer']['custom-html'] = text;
		}

		var color = $('.clsBg_black').css('background-color');
		if(color != settings['footer']['heading-color']) {
			saveChanges = 1;
			tempSettings['footer']['heading-color'] = color;
		}

		var copyright = $('#copyright').html();
		if(copyright != settings['footer']['copyright']) {
			saveChanges = 1;
			tempSettings['footer']['copyright'] = copyright;
		}		

		var text = $('#footer-custom').val();
		if(text != settings['footer']['footer-custom']) {
			saveChanges = 1;
			tempSettings['footer']['footer-custom'] = text;
		}

		if(saveChanges == 1) {
			$('#app-save-button').fadeIn('slow');
		}
		else {
			$('#app-save-button').fadeOut('slow');
		}	

	}

</script>										