<?php
require_once("parts/header.php");

?>

	<div id="app-buttons">
		<div id="app-navigation-buttons">
			<a href="home.php"><?php echo __('menu_home'); ?></a>
			<a href="product.php"><?php echo __('menu_product'); ?></a>
			<a href="sales.php"><?php echo __('menu_sales'); ?></a>
			<a href="prizes.php" class="app-navigation-button-active"><?php echo __('menu_prizes'); ?></a>
			<a href="faq.php"><?php echo __('menu_faq'); ?></a>
			<a href="terms.php"><?php echo __('menu_terms'); ?></a>
			<a href="signature.php"><?php echo __('menu_signature'); ?></a>
			<a href="tools.php"><?php echo __('menu_promo'); ?></a>
			<a href="footer.php"><?php echo __('menu_footer'); ?></a>
		</div>
		<div id="app-save-button">
			<div id="save-button"><?php echo __('save_changes_button'); ?></div>
		</div>
	</div>  

<?php
	$pageEnabled = ($settings['prizes']['enabled']==1)?'checked':'';
?>
	<div id="section-enabled">
		<div id="section-enabled-text"><input id="section-enabled-checkbox" type="checkbox" <?php echo $pageEnabled; ?>/><label for="section-enabled-checkbox"><?php echo __('enable_section_label'); ?></label></div>
	</div>

	<div id="prizes-section" class="clsWrapper">

		<div id="prizes-section" class="clsBg_black" style="background-color:<?php echo $settings['prizes']['heading-color'] ?>">
			<div class="clsPadding_md">
				<div class="container">
					<div class="row">
						<div class="col-md-12">
							<div class="clsSp_txt_wh_center">
								<h2 id="prizes-heading" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['prizes']['heading']; ?></h2>
								<div class="colors-option with-tooltip" title="<?php echo __('click_change_background_color') ?>">
									<input type="text" class="color-picker" value="<?php echo $settings['prizes']['heading-color'] ?>"/>
								</div>								
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<div class="clsBg_white">
			<div class="clsPadding_lg">
				<div class="container">
					<div class="enable-custom-html clsSp_txt_bl_lft"><input id="prizes-enable-custom" type="checkbox" <?php echo ($settings['prizes']['enable-custom'] == 1) ? 'checked' : ''  ?>><span style="display: inline-block"><p>Check to disregard the existing layout and add your own CUSTOM HTML for this section.<br/>Uncheck to revert the preset layout.</p></span></div>
					<div class="preset-layout row" style="display: <?php echo ($settings['prizes']['enable-custom'] == 1) ? 'none' : 'block'  ?>">
						<div class="col-md-6">
							<div class="clsPriImg"><img src="../images/misc/<?php echo $settings['prizes']['prize-image']; ?>" class="img-responsive center-block with-tooltip" title="<?php echo __('click_change_prize_image'); ?>" data-image="<?php echo $settings['prizes']['prize-image'];?>"/></div>
						</div>
						<div class="col-md-6">
							<div class="clsSp_txt_bl_center">
								<h2 id="leaderboard-heading" style="background:<?php echo $settings['prizes']['leaderboard']['heading-color'] ?>;color:white;padding:2px 20px;" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['prizes']['leaderboard']['heading']; ?></h2>
								<div class="colors-option with-tooltip" title="<?php echo __('click_change_background_color') ?>">
									<input type="text" class="color-picker-leaderboard" value="<?php echo $settings['prizes']['leaderboard']['heading-color'] ?>"/>
								</div>								
							</div>
						<?php
							for($i=0; $i<=4; $i++) :
								$prizeEnabled = ($settings['prizes']['leaderboard'][$i]['enabled'])?'fa-check':'fa-times';
						?>
							<div class="well" style="background:white; position:relative;">
								<div class="clsSp_txt_bl_center">
									<h3 class="leaderboard-prize with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['prizes']['leaderboard'][$i]['prize']; ?></h3>
								</div>
								<div class="prize-enabled config-button toggle-visibility-button with-tooltip" data-enabled="<?php echo $settings['prizes']['leaderboard'][$i]['enabled']; ?>" title="<?php echo __('click_change_visibility_tooltip'); ?>"><i class="fa <?php echo $prizeEnabled; ?>"></i></div>
							</div>
						<?php
							endfor;
						?>	
						</div>
					</div>
					<div class="custom-html" style="display: <?php echo ($settings['prizes']['enable-custom'] == 1) ? 'block' : 'none'  ?>">
						<textarea id="prizes-custom-content" placeholder="<?php echo __('custom_html_placeholder') ?>"><?php echo $settings['prizes']['custom-html'] ?></textarea>
					</div>					
				</div>
			</div>
		</div>

	</div> <!--clsWrapper-->

<?php
require_once('parts/footer.php');
?>	

<script type="text/javascript">
	$(document).ready(function() {

		$('.clsPriImg img').click( function() {
			ShowLightbox('misc', '.clsPriImg img');
		})

		$('.color-picker').spectrum({
			preferredFormat: "hex",
			showInput: true,
			change: function(color) {
				$(this).parent().parent().parent().parent().parent().parent().parent().css('background-color', color.toHexString());
				console.log(color.toHexString());
				saveButtonToggle();
			}
		});				

		$('.color-picker-leaderboard').spectrum({
			preferredFormat: "hex",
			showInput: true,
			change: function(color) {
				$(this).parent().prev().css('background-color', color.toHexString());
				saveButtonToggle();
			}
		});				

	})

	function saveButtonToggle() {
		var saveChanges = 0;

		var pageEnabled = parseInt($('#section-enabled-checkbox').is(':checked')?1:0);
		if(settings['prizes']['enabled'] != pageEnabled) {
			tempSettings['prizes']['enabled'] = pageEnabled;
			saveChanges = 1;
		} else {
			tempSettings['prizes']['enabled'] = settings['prizes']['enabled'];
		}

		var heading = $('#prizes-heading').html();
		if(heading != settings['prizes']['heading']) {
			saveChanges = 1;
			tempSettings['prizes']['heading'] = heading;
		}

		var color = $('.clsBg_black').css('background-color');
		if(color != settings['prizes']['heading-color']) {
			saveChanges = 1;
			tempSettings['prizes']['heading-color'] = color;
		}

		var custom = parseInt($('#prizes-enable-custom').is(':checked')?1:0);
		if(custom != settings['prizes']['enable-custom']) {
			saveChanges = 1;
			tempSettings['prizes']['enable-custom'] = custom;
		}

		var text = $('#prizes-custom-content').val();
		if(text != settings['prizes']['custom-html']) {
			saveChanges = 1;
			tempSettings['prizes']['custom-html'] = text;
		}

		var color = $('#leaderboard-heading').css('background-color');
		if(color != settings['prizes']['leaderboard']['heading-color']) {
			saveChanges = 1;
			tempSettings['prizes']['leaderboard']['heading-color'] = color;
		}


		if(tempSettings['prizes']['prize-image'] != settings['prizes']['prize-image']) {
			saveChanges = 1;
		}

		var leaderboard_heading = $('#leaderboard-heading').html();
		if(leaderboard_heading != settings['prizes']['leaderboard']['heading']) {
			saveChanges = 1;
			tempSettings['prizes']['leaderboard']['heading'] = leaderboard_heading;
		}

		for(i=0; i<=4; i++) {
			var prize_description, prize_enabled;
			prize_description = $('.leaderboard-prize').eq(i).html();	
			if(prize_description != settings['prizes']['leaderboard'][i]['prize']) {
				saveChanges = 1;
				tempSettings['prizes']['leaderboard'][i]['prize'] = prize_description;
			}

			prize_enabled = $('.prize-enabled').eq(i).attr('data-enabled');	
			if(prize_enabled != settings['prizes']['leaderboard'][i]['enabled']) {
				saveChanges = 1;
				tempSettings['prizes']['leaderboard'][i]['enabled'] = prize_enabled;
			}				
		}

		if(saveChanges == 1) {
			$('#app-save-button').fadeIn('slow');
		}
		else {
			$('#app-save-button').fadeOut('slow');
		}	

	}

	// Upload Images - Callback once the image got uploaded
	$(document).ajaxComplete(function() {
		
		str = $('.clsPriImg img').attr('data-image');
		var image = str.split('/');
		tempSettings['prizes']['prize-image'] = image[(image.length)-1];

		saveButtonToggle();
	});	

</script>				