<?php
require_once("parts/header.php");

?>

	<div id="app-buttons">
		<div id="app-navigation-buttons">
			<a href="home.php"><?php echo __('menu_home'); ?></a>
			<a href="product.php"><?php echo __('menu_product'); ?></a>
			<a href="sales.php" class="app-navigation-button-active"><?php echo __('menu_sales'); ?></a>
			<a href="prizes.php"><?php echo __('menu_prizes'); ?></a>
			<a href="faq.php"><?php echo __('menu_faq'); ?></a>
			<a href="terms.php"><?php echo __('menu_terms'); ?></a>
			<a href="signature.php"><?php echo __('menu_signature'); ?></a>
			<a href="tools.php"><?php echo __('menu_promo'); ?></a>
			<a href="footer.php"><?php echo __('menu_footer'); ?></a>
		</div>
		<div id="app-save-button">
			<div id="save-button"><?php echo __('save_changes_button'); ?></div>
		</div>
	</div>  

<?php
	$pageEnabled = ($settings['sales']['enabled']==1)?'checked':'';
?>

	<div id="section-enabled">
		<div id="section-enabled-text"><input id="section-enabled-checkbox" type="checkbox" <?php echo $pageEnabled; ?>/><label for="section-enabled-checkbox"><?php echo __('enable_section_label'); ?></label></div>
	</div>

	<div id="sales-section" class="clsWrapper">

		<div class="clsBg_yellow" style="background-color:<?php echo $settings['sales']['heading-color'] ?>">
			<div class="clsPadding_md">
				<div class="container">
					<div class="row">
						<div class="col-md-12">
							<div class="clsSp_txt_wh_center">
								<h2 id="sales-heading" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['sales']['heading']; ?></h2>
								<div class="colors-option with-tooltip" title="<?php echo __('click_change_background_color') ?>">
									<input type="text" class="color-picker" value="<?php echo $settings['sales']['heading-color'] ?>"/>
								</div>								
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<div class="clsBg_white">
			<div class="clsPadding_lg">
				<div class="container">
					<div class="enable-custom-html clsSp_txt_bl_lft"><input id="sales-enable-custom" type="checkbox" <?php echo ($settings['sales']['enable-custom'] == 1) ? 'checked' : ''  ?>><span style="display: inline-block"><p>Check to disregard the existing layout and add your own CUSTOM HTML for this section.<br/>Uncheck to revert the preset layout.</p></span></div>
					<div class="preset-layout" style="display: <?php echo ($settings['sales']['enable-custom'] == 1) ? 'none' : 'block'  ?>">
						<div class="row">

						<?php
							for($i=0; $i<=6; $i++) :
								if($i==4) {
									// close the first row of boxes and prepare the second row
									echo '</div>';
									echo '<div class="row" style="padding-top:20px;">';
									echo '<div class="col-md-3"></div>';
								}

								$commissionEnabled = ($settings['sales']['commissions'][$i]['enabled'])?'fa-check':'fa-times';
								
						?>
							<div class="col-md-3">
							<?php
							    if($i>=4)
							    	echo '<div class="clsArrow_img"><img src="images/ar_2.png" class="center-block"/></div>';
							?>
								<div class="clsSp_txt_bl_center" style="padding-bottom:20px;">
									<h3 class="commission-heading with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['sales']['commissions'][$i]['heading'] ?></h3>
								</div>
								<div class="" style="border:6px solid #c2c2c2;text-align:center;background:#ffffff; border-radius:15%; height:190px;width:210px; padding:10px;margin:0 auto;">	
									<div class="clsSp_txt_bl_center" style="padding-top:23px;">
										<h4 class="commission-title with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['sales']['commissions'][$i]['title'] ?></h4>
										<h2  class="commission-amount with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"style="padding-top:15px;"><?php echo $settings['sales']['commissions'][$i]['amount'] ?></h2>
										<p class="commission-sub with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['sales']['commissions'][$i]['sub-text'] ?></p>
										<div class="commission-enabled config-button toggle-visibility-button with-tooltip" data-enabled="<?php echo $settings['sales']['commissions'][$i]['enabled']; ?>" title="<?php echo __('click_change_visibility_tooltip'); ?>"><i class="fa <?php echo $commissionEnabled; ?>"></i></div>
									</div>
								</div>
							</div>
						<?php
							endfor;
						?>
						</div>
					</div>
					<div class="custom-html" style="display: <?php echo ($settings['sales']['enable-custom'] == 1) ? 'block' : 'none'  ?>">
						<textarea id="sales-custom-content" placeholder="<?php echo __('custom_html_placeholder') ?>"><?php echo $settings['sales']['custom-html'] ?></textarea>
					</div>							

				</div>
			</div>
		</div>

	</div> <!--clsWrapper-->

<?php
require_once('parts/footer.php');
?>	

<script type="text/javascript">
	$(document).ready(function() {
		$('#home-change-background').click( function() {
			ShowLightbox('background', '.clsBg1');
		})

		$('.clsProImg img').click( function() {
			ShowLightbox('misc', '.clsProImg img');
		})

		$('.color-picker').spectrum({
			preferredFormat: "hex",
			showInput: true,
			change: function(color) {
				$(this).parent().parent().parent().parent().parent().parent().parent().css('background-color', color.toHexString());
				console.log(color.toHexString());
				saveButtonToggle();
			}
		});		

	})

	function saveButtonToggle() {
		var saveChanges = 0;

		var pageEnabled = parseInt($('#section-enabled-checkbox').is(':checked')?1:0);
		if(settings['sales']['enabled'] != pageEnabled) {
			tempSettings['sales']['enabled'] = pageEnabled;
			saveChanges = 1;
		} else {
			tempSettings['sales']['enabled'] = settings['sales']['enabled'];
		}

		var color = $('.clsBg_yellow').css('background-color');
		console.log(color);
		if(color != settings['sales']['heading-color']) {
			saveChanges = 1;
			tempSettings['sales']['heading-color'] = color;
		}

		if(tempSettings['product']['background-image'] != settings['product']['background-image']) {
			saveChanges = 1;
		}

		var heading = $('#sales-heading').html();
		if(heading != settings['sales']['heading']) {
			saveChanges = 1;
			tempSettings['sales']['heading'] = heading;
		}

		if(tempSettings['product']['product-image'] != settings['product']['product-image']) {
			saveChanges = 1;
		}

		var custom = parseInt($('#sales-enable-custom').is(':checked')?1:0);
		if(custom != settings['sales']['enable-custom']) {
			saveChanges = 1;
			tempSettings['sales']['enable-custom'] = custom;
		}

		var text = $('#sales-custom-content').val();
		if(text != settings['sales']['custom-html']) {
			saveChanges = 1;
			tempSettings['sales']['custom-html'] = text;
		}

		for(i=0; i<7; i++) {
			var commission_var;
			commission_var = $('.commission-heading').eq(i).html();	
			if(commission_var != settings['sales']['commissions'][i]['heading']) {
				saveChanges = 1;
				tempSettings['sales']['commissions'][i]['heading'] = commission_var;
			}

			commission_var = $('.commission-title').eq(i).html();	
			if(commission_var != settings['sales']['commissions'][i]['title']) {
				saveChanges = 1;
				tempSettings['sales']['commissions'][i]['title'] = commission_var;
			}

			commission_var = $('.commission-amount').eq(i).html();	
			if(commission_var != settings['sales']['commissions'][i]['amount']) {
				saveChanges = 1;
				tempSettings['sales']['commissions'][i]['amount'] = commission_var;
			}			

			commission_var = $('.commission-sub').eq(i).html();	
			if(commission_var != settings['sales']['commissions'][i]['sub-text']) {
				saveChanges = 1;
				tempSettings['sales']['commissions'][i]['sub-text'] = commission_var;
			}

			commission_var = $('.commission-enabled').eq(i).attr('data-enabled');	
			if(commission_var != settings['sales']['commissions'][i]['enabled']) {
				saveChanges = 1;
				tempSettings['sales']['commissions'][i]['enabled'] = commission_var;
			}						
		}
		

		if(saveChanges == 1) {
			$('#app-save-button').fadeIn('slow');
		}
		else {
			$('#app-save-button').fadeOut('slow');
		}	

	}


</script>