<?php
require_once("parts/header.php");

?>

	<div id="app-buttons">
		<div id="app-navigation-buttons">
			<a href="home.php"><?php echo __('menu_home'); ?></a>
			<a href="product.php"><?php echo __('menu_product'); ?></a>
			<a href="sales.php"><?php echo __('menu_sales'); ?></a>
			<a href="prizes.php"><?php echo __('menu_prizes'); ?></a>
			<a href="faq.php"><?php echo __('menu_faq'); ?></a>
			<a href="terms.php"><?php echo __('menu_terms'); ?></a>
			<a href="signature.php" class="app-navigation-button-active"><?php echo __('menu_signature'); ?></a>
			<a href="tools.php"><?php echo __('menu_promo'); ?></a>
			<a href="footer.php"><?php echo __('menu_footer'); ?></a>
		</div>
		<div id="app-save-button">
			<div id="save-button"><?php echo __('save_changes_button'); ?></div>
		</div>
	</div>  

<?php
	$pageEnabled = ($settings['signature']['enabled']==1)?'checked':'';
?>

	<div id="section-enabled">
		<div id="section-enabled-text"><input id="section-enabled-checkbox" type="checkbox" <?php echo $pageEnabled; ?>/><label for="section-enabled-checkbox"><?php echo __('enable_section_label'); ?></label></div>
	</div>

	<div id="signature-section" class="clsWrapper">

		<div class="clsBg_yellow" style="background-color:<?php echo $settings['signature']['heading-color'] ?>">
			<div class="clsPadding_md">
				<div class="container">
					<div class="row">
						<div class="col-md-4"></div>
						<div class="col-md-4">
							<div class="well" style="background:white;">
								<div class="clsUsr_img"><img src="../images/misc/<?php echo $settings['signature']['user-pic'] ?>" class="img-circle img-thumbnail center-block with-tooltip" title="<?php echo __('click_change_signature_image'); ?>" data-image="<?php echo $settings['signature']['user-pic'];?>"/></div>
								<div class="clsSp_txt_bl_center" style="padding-top:10px;">
									<h5 id="signature-name" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['signature']['name'] ?></h5>
								</div>
							</div>
						</div>	
						<div class="col-md-4">
								<div class="colors-option with-tooltip" title="<?php echo __('click_change_background_color') ?>">
									<input type="text" class="color-picker" value="<?php echo $settings['signature']['heading-color'] ?>"/>
								</div>	
						</div>
					</div>
				</div>
			</div>
		</div>

	</div> <!--clsWrapper-->

<?php
require_once('parts/footer.php');
?>	

<script type="text/javascript">
	$(document).ready(function() {
		$('.clsUsr_img img').click( function() {
			ShowLightbox('misc', '.clsUsr_img img');
		})

		$('.color-picker').spectrum({
			preferredFormat: "hex",
			showInput: true,
			change: function(color) {
				$(this).parent().parent().parent().parent().parent().parent().css('background-color', color.toHexString());
				saveButtonToggle();
			}
		});		

	})

	function saveButtonToggle() {
		var saveChanges = 0;

		var pageEnabled = parseInt($('#section-enabled-checkbox').is(':checked')?1:0);
		if(settings['signature']['enabled'] != pageEnabled) {
			tempSettings['signature']['enabled'] = pageEnabled;
			saveChanges = 1;
		} else {
			tempSettings['signature']['enabled'] = settings['signature']['enabled'];
		}

		var color = $('.clsBg_yellow').css('background-color');

		if(color != settings['signature']['heading-color']) {
			saveChanges = 1;
			tempSettings['signature']['heading-color'] = color;
		}

		var name = $('#signature-name').html();
		if(name != settings['signature']['name']) {
			saveChanges = 1;
			tempSettings['signature']['name'] = name;
		}

		if(tempSettings['signature']['user-pic'] != settings['signature']['user-pic']) {
			saveChanges = 1;
		}

		if(saveChanges == 1) {
			$('#app-save-button').fadeIn('slow');
		}
		else {
			$('#app-save-button').fadeOut('slow');
		}	

	}

	// Upload Images - Callback once the image got uploaded
	$(document).ajaxComplete(function() {
		
		str = $('.clsUsr_img img').attr('data-image');
		var image = str.split('/');
		tempSettings['signature']['user-pic'] = image[(image.length)-1];

		saveButtonToggle();
	});		
</script>