<?php
require_once("parts/header.php");

?>

	<div id="app-buttons">
		<div id="app-navigation-buttons">
			<a href="home.php"><?php echo __('menu_home'); ?></a>
			<a href="product.php"><?php echo __('menu_product'); ?></a>
			<a href="sales.php"><?php echo __('menu_sales'); ?></a>
			<a href="prizes.php"><?php echo __('menu_prizes'); ?></a>
			<a href="faq.php"><?php echo __('menu_faq'); ?></a>
			<a href="terms.php" class="app-navigation-button-active"><?php echo __('menu_terms'); ?></a>
			<a href="signature.php"><?php echo __('menu_signature'); ?></a>
			<a href="tools.php"><?php echo __('menu_promo'); ?></a>
			<a href="footer.php"><?php echo __('menu_footer'); ?></a>
		</div>
		<div id="app-save-button">
			<div id="save-button"><?php echo __('save_changes_button'); ?></div>
		</div>
	</div>  

<?php
	$pageEnabled = ($settings['terms']['enabled']==1)?'checked':'';
?>

	<div id="section-enabled">
		<div id="section-enabled-text"><input id="section-enabled-checkbox" type="checkbox" <?php echo $pageEnabled; ?>/><label for="section-enabled-checkbox"><?php echo __('enable_section_label'); ?></label></div>
	</div>

	<div id="terms-section" class="clsWrapper">

		<div class="clsBg_black" style="background-color:<?php echo $settings['terms']['heading-color'] ?>">
			<div class="clsPadding_md">
				<div class="container">
					<div class="row">
						<div class="col-md-12">
							<div class="clsSp_txt_wh_center">
								<h2 id="terms-heading" class="with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['terms']['heading']; ?></h2>
								<div class="colors-option with-tooltip" title="<?php echo __('click_change_background_color') ?>">
									<input type="text" class="color-picker" value="<?php echo $settings['terms']['heading-color'] ?>"/>
								</div>									
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<div class="clsBg_white">
			<div class="clsPadding_lg">
				<div class="container">
					<div class="row">
						<div class="col-md-1"></div>
						<div class="col-md-10">
							<div id="terms-content" class="clsSp_txt_bl_lft with-tooltip" contenteditable="true" title="<?php echo __('click_tooltip'); ?>"><?php echo $settings['terms']['content'] ?></div>
						</div>
						<div class="col-md-1"></div>
					</div>
				</div>
			</div>
		</div>
	</div> <!--clsWrapper-->

<?php
require_once('parts/footer.php');
?>	

<script type="text/javascript">

	$(document).ready(function() {
		$('.color-picker').spectrum({
			preferredFormat: "hex",
			showInput: true,
			change: function(color) {
				$(this).parent().parent().parent().parent().parent().parent().parent().css('background-color', color.toHexString());
				console.log(color.toHexString());
				saveButtonToggle();
			}
		});
	});

	function saveButtonToggle() {
		var saveChanges = 0;

		var pageEnabled = parseInt($('#section-enabled-checkbox').is(':checked')?1:0);
		if(settings['terms']['enabled'] != pageEnabled) {
			tempSettings['terms']['enabled'] = pageEnabled;
			saveChanges = 1;
		} else {
			tempSettings['terms']['enabled'] = settings['terms']['enabled'];
		}

		var heading = $('#terms-heading').html();
		if(heading != settings['terms']['heading']) {
			saveChanges = 1;
			tempSettings['terms']['heading'] = heading;
		}

		var color = $('.clsBg_black').css('background-color');
		console.log(color);
		if(color != settings['terms']['heading-color']) {
			saveChanges = 1;
			tempSettings['terms']['heading-color'] = color;
		}

		var content = $('#terms-content').html();
		if(content != settings['terms']['content']) {
			saveChanges = 1;
			tempSettings['terms']['content'] = content;
		}		

		if(saveChanges == 1) {
			$('#app-save-button').fadeIn('slow');
		}
		else {
			$('#app-save-button').fadeOut('slow');
		}	

	}

</script>								