<?php
	/* Include the language file or redirect to install page */
	if(file_exists("admin/language.php")) {
		require_once('admin/language.php');
	}
	else {
		header('Location: admin/install.php');
	}

	//$settings = array_slug_replace(unserialize(file_get_contents("admin/config.conf")));
	$settings = unserialize(file_get_contents("admin/config.conf"));
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="<?php echo $settings['home']['page-description']; ?>">
    <meta name="author" content="">
    <link rel="shortcut icon" href="images/favicon.png">
    <title><?php echo $settings['home']['page-title'] ?></title>

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
	<link href="css/style.css" rel="stylesheet">
	<link href="css/font-awesome/css/font-awesome.min.css" rel="stylesheet">
	<link href='https://fonts.googleapis.com/css?family=PT+Sans' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Fjalla+One' rel='stylesheet' type='text/css'>
	<!--[if IE]>
		<link rel="stylesheet" type="text/css" href="css/style_ie.css"/>
  <![endif]-->
   <script src="https://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
	
    <!-- Just for debugging purposes. Don't actually copy these 2 lines! -->
    <!--[if lt IE 9]><script src="js/ie8-responsive-file-warning.js"></script><![endif]-->
    <script src="js/ie-emulation-modes-warning.js"></script>

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.min.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->

    <?php 
    	if(trim($settings['home']['page-custom']) != '') {
    		echo $settings['home']['page-custom'];
    	}
    ?>

  </head>
  <body>
    <div class="clsWrapper">

<?php
	include 'frontend/header.php';
	include 'frontend/home.php';
	include 'frontend/product.php';
	
	if($settings['sales']['enabled']) {	
		include 'frontend/sales.php';	
	}

	if($settings['prizes']['enabled']) {
		include 'frontend/prizes.php';		
	}
	
	if($settings['faq']['enabled']) {
		include 'frontend/faq.php';		
	}	

	if($settings['terms']['enabled']) {
		include 'frontend/terms.php';		
	}	

	if($settings['signature']['enabled']) {
		include 'frontend/signature.php';		
	}	

	if($settings['footer']['enabled']) {
		include 'frontend/footer.php';		
	}	

?>					
		
	</div>	<!--clsWrapper-->
	
	 <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="js/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="js/bootstrap.min.js"></script>
	<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="js/ie10-viewport-bug-workaround.js"></script>
	<script src="js/carousel.js"></script>
	
	<!-- latest jQuery, Boostrap JS and hover dropdown plugin -->
	<script src="js/twitter-bootstrap-hover-dropdown.js"></script>

    <?php 
    	if(trim($settings['footer']['footer-custom']) != '') {
    		echo $settings['footer']['footer-custom'];
    	}
    ?>

  </body>
</html>