<?php
	/* Include the language file or redirect to install page */
	if(file_exists("admin/language.php")) {
		require_once('admin/language.php');
	}
	else {
		header('Location: admin/install.php');
	}

	//$settings = array_slug_replace(unserialize(file_get_contents("admin/config.conf")));
	$settings = unserialize(file_get_contents("admin/config.conf"));

  if(!$settings['promo-tools']['enabled']) {
    header('Location: index.php');
  }
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="<?php echo $settings['home']['page-description']; ?>">
    <meta name="author" content="">
    <link rel="shortcut icon" href="images/favicon.png">
    <title><?php echo $settings['home']['page-title'] ?></title>

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
	<link href="css/style.css" rel="stylesheet">
	<link href="css/font-awesome/css/font-awesome.min.css" rel="stylesheet">
	<link href='https://fonts.googleapis.com/css?family=PT+Sans' rel='stylesheet' type='text/css'>
	<link href='https://fonts.googleapis.com/css?family=Fjalla+One' rel='stylesheet' type='text/css'>
	<!--[if IE]>
		<link rel="stylesheet" type="text/css" href="css/style_ie.css"/>
  <![endif]-->
   <script src="https://css3-mediaqueries-js.googlecode.com/svn/trunk/css3-mediaqueries.js"></script>
	
    <!-- Just for debugging purposes. Don't actually copy these 2 lines! -->
    <!--[if lt IE 9]><script src="js/ie8-responsive-file-warning.js"></script><![endif]-->
    <script src="js/ie-emulation-modes-warning.js"></script>

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.min.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <div class="clsWrapper">

<?php
  include 'frontend/header.php';
?>

    <div class="clsBg_black" style="background-color:<?php echo $settings['promo-tools']['email-swipes']['heading-bg-color'] ?>">
      <div class="clsPadding_md">
        <div class="container">
          <div class="row">
            <div class="col-md-12">
              <div class="clsSp_txt_wh_center">
                <h1 id="promo-heading-1"><?php echo $settings['promo-tools']['email-swipes']['heading-1'] ?></h1>
                <h3 id="promo-heading-2" style="padding-top:20px;"><?php echo $settings['promo-tools']['email-swipes']['heading-2'] ?></h3>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    
<?php if($settings['promo-tools']['email-swipes']['enable-custom'] == 0) : ?>
    <div class="clsBg_white">
      <div class="clsPadding_md">
        <div class="container">
          <div class="row">
            <div class="col-md-1"></div>
            <div class="col-md-10">
              <div class="row">
                <div class="col-md-12">
                  <div class="clsSp_txt_bl_center">
                    <h2 id="promo-heading-3"><?php echo $settings['promo-tools']['email-swipes']['heading-3'] ?></h2>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-1"></div>
          </div>
          
        </div>
      </div>
    </div>  <!--clsBg_white-->
    
    <div class="clsBg1" style="border-top:1px solid #c5c5c3; background-image: url('images/background/<?php echo $settings['promo-tools']['email-swipes']['background-image'];?>')">
      <div class="clsPadding_lg">
        <div class="container">
          <div class="row">
            <div class="col-md-1"></div>
            <div class="col-md-10">
          <?php 
            for($i=0; $i<=3; $i++) :
          ?>
              <div class="row">
                <div class="col-md-12">
                  <div style="background:white;" class="well">
                    <div class="clsSp_txt_bl_center">
                      <h3 class="plan-heading-1"><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['heading-1'] ?></h3>
                      <p class="plan-heading-2"><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['heading-2'] ?></p>
                      <hr>
                      <div class="plan-description" ><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['description'] ?></div>
                    </div>
                  </div>
                </div>
                <div class="col-md-12">
                  <div data-example-id="togglable-tabs" role="tabpanel" class="bs-example bs-example-tabs">
                          <ul role="tablist" class="nav nav-tabs" id="myTab">
                            <li class="" role="presentation"><a aria-expanded="true" aria-controls="home" data-toggle="tab" role="tab" id="home-tab" href="#plan0<?php echo $i ?>tab1" class="plan-tab-1" ><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['tab-1-title'] ?></a></li>
                            <li role="presentation" class="active"><a aria-controls="profile" data-toggle="tab" id="profile-tab" role="tab" href="#plan0<?php echo $i ?>tab2" aria-expanded="false" class="plan-tab-2" ><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['tab-2-title'] ?></a></li>
                            
                          </ul>
                          <div class="tab-content" id="myTabContent">
                            <div aria-labelledby="home-tab" id="plan0<?php echo $i ?>tab1" class="tab-pane fade" role="tabpanel">
                              <div class="clsEm_sw_cont">
                                <ul class="list-group">
                                  <li class="list-group-item">
                                  <!--<p><b>Swipe #1 &ndash; Discount Angle (Includes 6-8 hour follow up message)</b></p>-->
                                  <p style="text-align:center;">
<textarea name="plan-content-1" class="plan-content-1 form-control" rows="10" style="font-size: 12px; width: 100%; min-height: 150px; font-family: monospace;"><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['tab-1-content'] ?></textarea>
                                  </p>
                                  </li>
                                 
                                </ul>
                              </div>
                            </div>
                            
                            <div aria-labelledby="profile-tab" id="plan0<?php echo $i ?>tab2" class="tab-pane fade active in" role="tabpanel">
                              <div class="clsEm_sw_cont">
                                <ul class="list-group">
                                  <li class="list-group-item">
                                  <!--<p><b>ewrwe</b></p>-->
                                  <p style="text-align:center;">
<textarea name="plan-content-2" class="plan-content-2 form-control" rows="10" style="font-size: 12px; width: 100%; min-height: 150px; font-family: monospace;"><?php echo $settings['promo-tools']['email-swipes']['mailing-plan'][$i]['tab-2-content'] ?></textarea>
                                  </p>
                                  </li>
                                   
                                </ul>
                              </div>
                            </div>
                            
                          </div>
                  </div>  
                </div>
              </div>
          <?php
            endfor;
          ?>

            </div>
            <div class="col-md-1"></div>
          </div>
        </div>
      </div>
    </div>
<?php else : ?>
    <div>
      <?php echo $settings['promo-tools']['email-swipes']['custom-html']; ?>
    </div>
<?php endif; ?>
    
    <div class="clsBg_black" style="background-color:<?php echo $settings['promo-tools']['banners']['heading-bg-color'] ?>">
      <div class="clsPadding_md">
        <div class="container">
          <div class="row">
            <div class="col-md-12">
              <div class="clsSp_txt_wh_center">
                <h1><?php echo $settings['promo-tools']['banners']['heading-1'] ?></h1>
                <h3 style="padding-top:20px;"><?php echo $settings['promo-tools']['banners']['heading-2'] ?></h3>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    
    <div class="clsBg_white">
      <div class="clsPadding_lg">
        <div class="container">
    <?php if($settings['promo-tools']['banners']['enable-custom'] == 0) :  ?>
          <div class="row">
            <div class="col-md-1"></div>
            <div class="col-md-10">
              <div class="row">
                  <div class="col-md-1"></div>
                  <div class="col-md-10">
                    <div class="row">
                      <div class="col-md-12">
                        <div style="background:white;" class="well">
                          <div class="clsSp_txt_bl_center">
                            <p><?php echo $settings['promo-tools']['banners'][0]['heading'] ?></p>
                          </div>
                          <hr>
                          <div id="banner-0" class="clsCombo_basic"><img class="img-responsive center-block" src="images/banners/<?php echo $settings['promo-tools']['banners'][0]['banner']; ?>"></div>
                          <hr>
                          <div align="center">
                            <textarea style="font-size: 12px; min-height: 80px; font-family: monospace;" rows="" class="form-control">&lt;a href="YOUR-AFFILLIATE-LINK" target="_blank";img src="YOURSITE/images/banners/<?php echo $settings['promo-tools']['banners'][0]['banner']; ?>" /&gt;&lt;/a&gt;</textarea>
                          </div>
                        </div>
                      </div>
                    </div>
                    
                    <div class="row">

                  <?php
                    for($i=1; $i<=4; $i++) :
                  ?>
                      <div class="col-md-3">
                        <div style="background:white;" class="well">
                          <div class="clsSp_txt_bl_center">
                            <p><?php echo $settings['promo-tools']['banners'][$i]['heading'] ?></p>
                          </div>
                          <hr>
                          <div id="banner-<?php echo $i; ?>" class="clsBanner"><img class="img-responsive center-block" src="images/banners/<?php echo $settings['promo-tools']['banners'][$i]['banner']; ?>"></div>
                          <hr>
                          <div align="center">
                            <textarea style="font-size: 12px; min-height: 80px; font-family: monospace;" rows="" class="form-control">&lt;a href="YOUR-AFFILLIATE-LINK" target="_blank";img src="YOURSITE/images/banners/<?php echo $settings['promo-tools']['banners'][$i]['banner']; ?>" /&gt;&lt;/a&gt;</textarea>
                          </div>
                        </div>
                      </div>
                  <?php
                    endfor;
                  ?>
                    </div>
                    
                    <div class="row">
                  <?php
                    for($i=5; $i<=7; $i++) :
                  ?>                      
                      <div class="col-md-4">
                        <div style="background:white;" class="well">
                          <div class="clsSp_txt_bl_center">
                            <p><?php echo $settings['promo-tools']['banners'][$i]['heading'] ?></p>
                          </div>
                          <hr>
                          <div id="banner-<?php echo $i; ?>" class="clsBanner"><img class="img-responsive center-block" src="images/banners/<?php echo $settings['promo-tools']['banners'][$i]['banner']; ?>"></div>
                          <hr>
                          <div align="center">
                            <textarea style="font-size: 12px; min-height: 80px; font-family: monospace;" rows="" class="form-control">&lt;a href="YOUR-AFFILLIATE-LINK" target="_blank";img src="YOURSITE/images/banners/<?php echo $settings['promo-tools']['banners'][$i]['banner']; ?>" /&gt;&lt;/a&gt;</textarea>
                          </div>
                        </div>
                      </div>
                  <?php
                    endfor;
                  ?>                      
                    </div>
                    
                    <div class="row">
                  <?php
                    for($i=8; $i<=9; $i++) :
                  ?>                                
                      <div class="col-md-12">
                        <div style="background:white;" class="well">
                          <div class="clsSp_txt_bl_center">
                            <p><?php echo $settings['promo-tools']['banners'][$i]['heading'] ?></p>
                          </div>
                          <hr>
                          <div id="banner-<?php echo $i; ?>" class="clsBanner"><img class="img-responsive center-block" src="images/banners/<?php echo $settings['promo-tools']['banners'][$i]['banner']; ?>"></div>
                          <hr>
                          <div align="center">
                            <textarea style="font-size: 12px; min-height: 80px; font-family: monospace;" rows="" class="form-control">&lt;a href="YOUR-AFFILLIATE-LINK" target="_blank";img src="YOURSITE/images/banners/<?php echo $settings['promo-tools']['banners'][$i]['banner']; ?>" /&gt;&lt;/a&gt;</textarea>
                          </div>
                        </div>
                      </div>
                  <?php
                    endfor;
                  ?>                      
                    </div>
                  </div>
                  <div class="col-md-1"></div>
                </div>
            </div>
            <div class="col-md-1"></div>
          </div>
    <?php else : ?>
          <div class="row">
            <?php echo $settings['promo-tools']['banners']['custom-html']; ?>
          </div>
    <?php endif; ?>
        </div>
      </div>
    </div>

    <div id="heading-3-bg" class="clsBg_black" style="background-color:<?php echo $settings['promo-tools']['bonus']['heading-bg-color'] ?>">
      <div class="clsPadding_md">
        <div class="container">
          <div class="row">
            <div class="col-md-12">
              <div class="clsSp_txt_wh_center">
                <h1 id="bonus-heading"><?php echo $settings['promo-tools']['bonus']['heading'] ?></h1>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="clsBg_white">
      <div class="clsPadding_lg">
        <div class="container">
          <div class="row">
            <div class="col-md-1"></div>
            <div class="col-md-10">
           <?php if($settings['promo-tools']['bonus']['enable-custom'] == 0) : ?>
              <div>
                <div id="bonus-page-content" class="clsSp_txt_bl_lft"><?php echo $settings['promo-tools']['bonus']['content'] ?></div>
                <div class="row">
                  <div class="col-md-2"></div>
                  <div class="col-md-4 text-center">
                    <div class="clsButton" style="text-align:center;padding:20px;">
                      <div class="btn_edt2 btn btn-warning btn-lg" style="width: 200px" type="submit">
                        <div class="clsSp_txt_wh_center">
                          <a href="<?php echo $settings['promo-tools']['bonus']['preview-link'] ?>" target="_blank">
                            <h2 id="preview-btn-text" style="padding:10px;" ><?php echo $settings['promo-tools']['bonus']['preview-button'] ?></h2>
                          </a>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-4 text-center">
                    <div class="clsButton" style="text-align:center;padding:20px;">
                      <div class="btn_edt btn btn-warning btn-lg" style="width: 200px" type="submit">
                        <div class="clsSp_txt_wh_center">
                          <a href="<?php echo $settings['promo-tools']['bonus']['download-link'] ?>" target="_blank">
                            <h2 id="download-btn-text" style="padding:10px;"><?php echo $settings['promo-tools']['bonus']['download-button'] ?></h2>
                          </a>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-2"></div>
                </div>
              </div>
          <?php else : ?>
              <div>
                <?php echo $settings['promo-tools']['bonus']['custom-html'] ?>
              </div>     
          <?php endif; ?>         
            </div>
            <div class="col-md-1"></div>
          </div>
        </div>
      </div>
    </div>


<?php
  if($settings['footer']['enabled']) {
    include 'frontend/footer.php';    
  } 
?>
    </div>  <!--clsWrapper-->
  
   <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="js/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="js/bootstrap.min.js"></script>
  <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="js/ie10-viewport-bug-workaround.js"></script>
  <script src="js/carousel.js"></script>
  
  <!-- latest jQuery, Boostrap JS and hover dropdown plugin -->
  <script src="js/twitter-bootstrap-hover-dropdown.js"></script>
  </body>
</html>